## gav 0.9.0

=== Makefile ===
# GAV - Gpl Arcade Volleyball
# Copyright (C) 2002
# GAV team (http://sourceforge.net/projects/gav/)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

include CommonHeader

ROOT=

SUBDIRS = menu automa net
CXXFLAGS += $(foreach DIR, $(SUBDIRS), -I$(DIR)) -I.

ALL_OBJ  = $(foreach DIR, $(SUBDIRS), $(DIR)/$(DIR:%=%_module.o))

DEPEND = Makefile.depend

.PHONY: depend clean all $(SUBDIRS)

all: $(SUBDIRS) gav

$(SUBDIRS):
	$(MAKE) -C $@

$(ALL_OBJ):
	$(MAKE) -C $(@D:%_module.o=%)

gav:	$(ALL_OBJ) $(OFILES)
	$(CXX) -o gav $(OFILES) $(ALL_OBJ) $(LDFLAGS)
	strip gav

clean:
	for i in $(SUBDIRS) ; do \
	  $(MAKE) -C $$i clean;\
	done
	rm -f *~ *.o gav $(DEPEND)

bindist: all
	for i in $(SUBDIRS) ; do \
	  $(MAKE) -C $$i clean;\
	done
	rm -f *~ *.o

install: all
	install gav $(ROOT)/usr/bin
	install -d $(ROOT)/usr/share/games/gav/themes
	cp -r themes/* $(ROOT)/usr/share/games/gav/themes

depend:
	for i in $(SUBDIRS) ; do \
	  $(MAKE) -C $$i depend;\
	done
	$(RM) $(DEPEND)
	$(CXX) -M $(CXXFLAGS) $(SRCS) >> $(DEPEND)

ifeq ($(wildcard $(DEPEND)),$(DEPEND))
include $(DEPEND)
endif

=== automa/Makefile ===
# GAV - Gpl Arcade Volleyball
# Copyright (C) 2002
# GAV team (http://sourceforge.net/projects/gav/)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

RELPATH    = automa
include ../CommonHeader

NAME 		= automa
MODULE_NAME	= $(NAME)_module.o

CXXFLAGS += -I$(GAV_ROOT) -I$(GAV_ROOT)/menu -I$(GAV_ROOT)/net -I$(GAV_ROOT)/automa

DEPEND = Makefile.depend

.PHONY: all

all: $(MODULE_NAME)

$(MODULE_NAME): $(OFILES)
	$(LD) -r $(OFILES) -o $(MODULE_NAME)

($OFILES): $(SRCS)
	$(CXX) -c $(CXXFLAGS) $<

clean:
	rm -f *.o *.bin *~ $(DEPEND)

depend:
	$(RM) $(DEPEND)
	$(CXX) $(CXXFLAGS) -M $(SRCS) >> $(DEPEND)

ifeq ($(wildcard $(DEPEND)),$(DEPEND))
include $(DEPEND)
endif

=== net/Makefile ===
# GAV - Gpl Arcade Volleyball
# Copyright (C) 2002
# GAV team (http://sourceforge.net/projects/gav/)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

RELPATH    = net
include ../CommonHeader

NAME 		= net
MODULE_NAME	= $(NAME)_module.o

CXXFLAGS += -I$(GAV_ROOT) -I$(GAV_ROOT)/menu -I$(GAV_ROOT)/net

DEPEND = Makefile.depend

.PHONY: all

all: $(MODULE_NAME)

$(MODULE_NAME): $(OFILES)
	$(LD) -r $(OFILES) -o $(MODULE_NAME)

($OFILES): $(SRCS)
	$(CXX) -c $(CXXFLAGS) $<

clean:
	rm -f *.o *.bin *~ $(DEPEND)

depend:
	$(RM) $(DEPEND)
	$(CXX) $(CXXFLAGS) -M $(SRCS) >> $(DEPEND)

ifeq ($(wildcard $(DEPEND)),$(DEPEND))
include $(DEPEND)
endif

=== debian/changelog ===
gav (0.9.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007617)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 18:36:04 +0100

gav (0.9.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965537)
  * debian/rules: Add build-{arch,indep}. (Closes: #999203)
  * Remove the menu file.

  [ Markus Koschany ]
  * Add gav.desktop file.
  * Add gav.xpm 32x32 pixel icon and install it to /usr/share/pixmaps.
  (Closes: #737887)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 23:51:52 +0200

gav (0.9.0-3) unstable; urgency=low

  * Include <cstring> to fix FTBFS with GCC 4.3 (Closes: #455172)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Dec 2007 13:29:05 -0500

gav (0.9.0-2) unstable; urgency=low

  * Don't strip binary during build (Closes: #436907)
  * Pass the correct CFLAGS/CXXFLAGS to make

 -- Ari Pollak <ari@debian.org>  Thu, 09 Aug 2007 11:11:44 -0400

gav (0.9.0-1) unstable; urgency=low

  * New upstream release
    - Now saves settings between games (Closes: #261197)

 -- Ari Pollak <ari@debian.org>  Sat, 27 May 2006 17:49:14 -0400

gav (0.8.0-2) unstable; urgency=low

  * Fix compile error with g++ 4.1 (Closes: #355189)

 -- Ari Pollak <ari@debian.org>  Fri,  3 Mar 2006 18:31:04 -0500

gav (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Fix typo in description (Closes: #219443)

 -- Ari Pollak <ari@debian.org>  Sat, 10 Apr 2004 00:21:43 -0400

gav (0.7.3-2) unstable; urgency=low

  * Fix typo in description (Closes: #219443)
  * Unreleased

 -- Ari Pollak <ari@debian.org>  Thu,  6 Nov 2003 11:13:22 -0500

gav (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue, 19 Aug 2003 10:17:36 -0400

gav (0.7.2-3) unstable; urgency=low

  * Place gav in /usr/games (Closes: #194551)

 -- Ari Pollak <ari@debian.org>  Sat, 24 May 2003 11:36:12 -0400

gav (0.7.2-2) unstable; urgency=low

  * Recommends gav-themes (when it is added to the archive)

 -- Ari Pollak <ari@debian.org>  Wed, 26 Feb 2003 12:48:07 -0500

gav (0.7.2-1) unstable; urgency=low

  * New upstream release
    - Adds option to change ball speed
    - Should fix problem with char signedness on other arches (Closes: #182169)

 -- Ari Pollak <ari@debian.org>  Wed, 26 Feb 2003 12:09:29 -0500

gav (0.7.1-3) unstable; urgency=low

  * Update proper build dependencies.

 -- Ari Pollak <ari@debian.org>  Fri, 21 Feb 2003 12:13:26 -0500

gav (0.7.1-2) unstable; urgency=low

  * Include gav manpage, thanks to David Grant.

 -- Ari Pollak <ari@debian.org>  Fri, 14 Feb 2003 10:21:41 -0500

gav (0.7.1-1) unstable; urgency=low

  * Initial Release. (Closes: #180935)

 -- Ari Pollak <ari@debian.org>  Thu, 13 Feb 2003 22:32:29 -0500

=== debian/control ===
Source: gav
Section: games
Priority: extra
Maintainer: Ari Pollak <ari@debian.org>
Build-Depends: debhelper (>> 5.0.0), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.7.3
Homepage: http://gav.sf.net

Package: gav
Architecture: any
Depends: ${shlibs:Depends}
Recommends: gav-themes
Description: GPL Arcade Volleyball
 GAV stands for GPL Arcade Volleyball, and is an SDL remake of the old DOS game
 Arcade Volleyball. It includes multiplayer, networking, and themeable graphics
 support.
 .
 More information, as well as additional themes, can be found at
 <http://gav.sourceforge.net>.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" $(MAKE)
	#/usr/bin/docbook-to-man debian/gav.sgml > gav.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gav.
	$(MAKE) install ROOT=$(CURDIR)/debian/gav
	install -m644 package/gav.png $(CURDIR)/debian/gav/usr/share/pixmaps
	install -m644 debian/gav.xpm $(CURDIR)/debian/gav/usr/share/pixmaps
	install -m644 debian/gav.desktop $(CURDIR)/debian/gav/usr/share/applications

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/gav.6
	dh_installinfo
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
https://github.com/ctrl-z-bg/gav/tags .*/v([\d\.]+)\.tar\.gz

## gav 0.9.1

=== menu/Makefile ===
# GAV - Gpl Arcade Volleyball
# Copyright (C) 2002
# GAV team (http://sourceforge.net/projects/gav/)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

RELPATH    = menu
include ../CommonHeader

NAME 		= menu
MODULE_NAME	= $(NAME)_module.o

CXXFLAGS += -I$(GAV_ROOT)

DEPEND = Makefile.depend

.PHONY: all

all: $(MODULE_NAME)

$(MODULE_NAME): $(OFILES)
	$(LD) -r $(OFILES) -o $(MODULE_NAME)

($OFILES): $(SRCS)
	$(CXX) -c $(CXXFLAGS) $<

clean:
	rm -f *.o *.bin *~ $(DEPEND)

depend:
	$(RM) $(DEPEND)
	$(CXX) $(CXXFLAGS) -M $(SRCS) >> $(DEPEND)

ifeq ($(wildcard $(DEPEND)),$(DEPEND))
include $(DEPEND)
endif

=== debian/changelog ===
gav (0.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1010371
  * Maintain package in Debian Games team
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for gav.
  * d/rules: Short dh
    Closes: #436907
  * Review d/copyright
  * Do not provide themes which are now merged to the upstream tarball.
    This needs to be sorted out with gav-themes source+binary package

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #946772)
    + Let dh_auto_build pass cross tools to make.
    + In addition, pass a LD supplied by dpkg's buildtools.mk.

  [ наб ]
  * Fix segfault for 'gav -w' (Closes: #715942)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 14 Nov 2024 09:20:48 +0100

=== debian/control ===
Source: gav
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ari Pollak <ari@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsdl1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-image1.2-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/gav
Vcs-Git: https://salsa.debian.org/games-team/gav.git
Homepage: http://gav.sf.net
Rules-Requires-Root: no

Package: gav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gav-themes
Description: GPL Arcade Volleyball
 GAV stands for GPL Arcade Volleyball, and is an SDL remake of the old DOS game
 Arcade Volleyball. It includes multiplayer, networking, and themeable graphics
 support.
 .
 More information, as well as additional themes, can be found at
 <http://gav.sourceforge.net>.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildtools.mk
LD ?= ld

%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" dh_auto_build -- LD=$(LD)

override_dh_auto_install:
	dh_auto_install -- ROOT=$(CURDIR)/debian/gav
	# FIXME the new upstream source contains all themes - this should be merged with gav-themes source package
	# For the moment remove the themes just from binary package
	for theme in \
	    fabeach \
	    inverted \
	    naive \
	    unnamed \
	    yisus \
	    yisus2 \
	    ; do \
		find debian -type d -name $${theme} | xargs rm -rf \{\} ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG
